
default maid_intro_done = False

# Maid Job
label job_1:

    show screen blkfade
    with d3
    hide hermione_main
    pause .8
    hide screen blkfade
    with d5

    if not maid_intro_done:
        $ maid_intro_done = True
        gen "I think it's about time we got someone to clean up this place." ("base", xpos="far_left", ypos="head")
        her "[genie_name]?" ("open", "squint", "base", "mid", xpos="right", ypos="base", trans=dissolve)
        gen "Don't you think it's about time that someone set a good example and cleaned up this castle?" ("base", xpos="far_left", ypos="head")
        if her_whoring < 4:
            her "Finally you've come to your senses..." ("base", "closed", "base", "mid")
            her "Of course I'll help!" ("base", "base", "base", "mid")
            gen "Great, then I've got this maids outfit for you!" ("base", xpos="far_left", ypos="head")
            her "..." ("angry", "narrow", "base", "down")
            her "What is this?!" ("clench", "squint", "base", "down")
            gen "A Maid outfit!" ("base", xpos="far_left", ypos="head")
            gen "You'll need it for the cleaning you're about to do." ("base", xpos="far_left", ypos="head")
            her "[genie_name], this isn't what I thought you meant..." ("disgust", "squint", "base", "mid")
            gen "You'll get paid in points of course..." ("base", xpos="far_left", ypos="head")
            her "*Hmm*..." ("upset", "narrow", "base", "R")
            gen "And I suppose you'll technically be working for me so you can get paid for your work..." ("base", xpos="far_left", ypos="head")
            her "That's good I suppose..." ("open", "squint", "base", "R")
            gen "Although I'm technically not supposed to hire students so I'll have to hold on to your payment for now." ("base", xpos="far_left", ypos="head")
            her "Right..." ("angry", "squint", "base", "mid")
            gen "So... You'll do it?" ("base", xpos="far_left", ypos="head")
            her "I suppose I could..." ("normal", "squint", "base", "R")
            gen "Great!" ("base", xpos="far_left", ypos="head")
            gen "Return here in the evening to drop of your payment and tell me how it went." ("base", xpos="far_left", ypos="head")
            if not is_in_lead(gryffindor):
                her "Alright..." ("open", "base", "base", "mid")
                her "Let me just put this on..." ("angry", "squint", "base", "mid")
            else: #Gryffindor is in the lead
                her "Oh, you want me to do it now?" ("open", "squint", "base", "mid")
                gen "Of course, why else would I bring it up?" ("base", xpos="far_left", ypos="head")
                her "But... We're in the lead right now." ("angry", "base", "base", "mid")
                gen "So?" ("base", xpos="far_left", ypos="head")
                her "So... There's no need for me to earn any points at the moment." ("grin", "base", "base", "mid")
                gen "Right..." ("base", xpos="far_left", ypos="head")

                hide hermione_main
                with d3

                call tutorial("points")

                jump working_menu
        elif her_whoring < 13:
            her "Cleaned up, [genie_name]?" ("angry", "base", "base", "mid")
            gen "Yes, so you better put this on..." ("base", xpos="far_left", ypos="head")
            her "A maid outfit?" ("angry", "narrow", "base", "down")
            her "Of course this is what you meant..." ("angry", "narrow", "base", "mid")
            gen "You'll get paid in points of course." ("base", xpos="far_left", ypos="head")
            her "*Hmm*...{w=0.4} Alright, In that case I suppose I could do it." ("angry", "closed", "base", "mid")
            gen "Excellent... Although you'll have to return any monetary payments to me." ("base", xpos="far_left", ypos="head")
            her "I do?" ("clench", "base", "base", "mid")
            gen "You think I could just hire students to do these things?" ("base", xpos="far_left", ypos="head")
            her "*Ehm*..." ("angry", "base", "base", "mid")
            gen "No, I think it'd be best if I held onto it for now." ("base", xpos="far_left", ypos="head")
            her "Right..." ("open", "base", "base", "mid")
            gen "Return here in the evening to drop of your payment and tell me how it went." ("base", xpos="far_left", ypos="head")
            if not is_in_lead(gryffindor):
                her "Alright..." ("open", "squint", "base", "R")
                her "Let me just put this on..." ("angry", "squint", "base", "mid")
            else: #Gryffindor is in the lead
                her "Oh, you want me to do it now?" ("open", "squint", "base", "mid")
                gen "Of course, why else would I bring it up?" ("base", xpos="far_left", ypos="head")
                her "But... We're in the lead right now." ("angry", "base", "base", "mid")
                gen "So?" ("base", xpos="far_left", ypos="head")
                her "So... There's no need for me to earn any points at the moment." ("grin", "base", "base", "mid")
                gen "Right..." ("base", xpos="far_left", ypos="head")
                hide hermione_main
                with d3

                call tutorial("points")

                jump working_menu
        else: #13+
            her "I'm not sure what you." ("angry", "base", "base", "mid")
            gen "I want you to put this on!" ("base", xpos="far_left", ypos="head")
            her "A maid outfit?" ("angry", "narrow", "base", "down", cheeks="blush")
            gen "Yep!" ("base", xpos="far_left", ypos="head")
            gen "You'll get paid in points of course." ("base", xpos="far_left", ypos="head")
            her "*Hmm*... Why not... This castle could use some cleaning where the house elves can't reach." ("open", "closed", "base", "mid", cheeks="blush")
            gen "That's the spirit!" ("base", xpos="far_left", ypos="head")
            gen "Just make sure you return here in the evening to give me your payments and tell me how it went." ("base", xpos="far_left", ypos="head")
            her "Give you my what?" ("open", "base", "base", "mid", cheeks="blush")
            gen "Payments." ("base", xpos="far_left", ypos="head")
            gen "This will have to stay off the books so I'll have to hold onto it for now." ("base", xpos="far_left", ypos="head")
            her "Oh... Right..." ("open", "closed", "base", "mid", cheeks="blush")
            if her_whoring >= 16:
                her "Let me just put this on..." ("angry", "base", "base", "mid", cheeks="blush")
            else:
                if not is_in_lead(gryffindor):
                    her "Let me just put this on..." ("angry", "base", "base", "mid", cheeks="blush")
                else: #Gryffindor in the lead
                    her "Oh, you want me to do it now?" ("open", "squint", "base", "mid")
                    gen "Of course, why else would I bring it up?" ("base", xpos="far_left", ypos="head")
                    her "But... We're in the lead right now." ("angry", "base", "base", "mid")
                    gen "So?" ("base", xpos="far_left", ypos="head")
                    her "So... There's no need for me to earn any points at the moment." ("grin", "base", "base", "mid")
                    gen "Right..." ("base", xpos="far_left", ypos="head")
                    hide hermione_main
                    with d3

                    call tutorial("points")

                    jump working_menu

    else:
        $ random_number = renpy.random.randint(1, 4)

        if random_number == 1:
            gen "I'd like you to go out and make me some money... *Err*... I mean go out and earn some points." ("base", xpos="far_left", ypos="head")
        elif random_number == 2:
            gen "Time to earn some more points for your house, [hermione_name]..." ("base", xpos="far_left", ypos="head")
        elif random_number == 3:
            gen "Time for you to head out and help clean the castle." ("base", xpos="far_left", ypos="head")
        elif random_number == 4:
            gen "I've got a feather duster with your name on it, [hermione_name]..." ("base", xpos="far_left", ypos="head")
        gen "Put this on for me will you?" ("base", xpos="far_left", ypos="head")

        if her_whoring < 4:
            if not is_in_lead(gryffindor):
                her "*Humph!*..." ("upset", "base", "annoyed", "mid", xpos="right", ypos="base", trans=dissolve)
            else:
                her "No thank you, [genie_name]." ("open", "squint", "base", "mid", xpos="right", ypos="base", trans=dissolve)
                gen "What do you mean, no?" ("angry", xpos="far_left", ypos="head")
                her "We're in the lead right now... There's no need for me to earn any points at the moment." ("grin", "base", "base", "mid")
                gen "Right..." ("base", xpos="far_left", ypos="head")
                hide hermione_main
                with d3

                call tutorial("points")

                jump working_menu
        elif her_whoring < 16:
            if not is_in_lead(gryffindor):
                her "Alright..." ("angry", "base", "base", "mid", xpos="right", ypos="base", trans=dissolve)
            else:
                her "We're in the lead right now... There's no need for me to earn any points at the moment." ("grin", "base", "base", "mid", xpos="right", ypos="base", trans=dissolve)
                gen "Right..." ("base", xpos="far_left", ypos="head")
                hide hermione_main
                with d3

                call tutorial("points")

                jump working_menu
        elif her_whoring < 22:
            her "Of course, [genie_name]..." ("base", "squint", "base", "mid", xpos="right", ypos="base", trans=dissolve)
        else: #22+
            her "As you wish, [genie_name]." ("base", "base", "base", "mid",xpos="right",ypos="base", trans=dissolve)

    show screen blkfade
    with d5
    # Setup
    $ maid_outfit_ITEM.used = True
    call play_sound("equip_inventory")
    $ her_outfit_last.save()
    $ hermione.equip(her_outfit_maid)
    hide screen blkfade
    with d5

    pause 2.5
    hide hermione_main
    with d3

    gen "Off you go then..." ("base", xpos="far_left", ypos="head")

    call her_walk(action="leave")

    $ hermione_busy = True
    $ current_job = "maid"

    jump main_room_menu

label maid_responses:

    $ hermione.equip(her_outfit_maid)
    $ payment = renpy.random.randint(10, 25)

    call her_walk(action="enter", xpos="mid", ypos="base")

    $ random_number = renpy.random.randint(1, 3)

    menu:
        "\"How was your day?\"":
            if her_whoring < 4:
                if random_number == 1:
                    her "Do I really have to keep doing this?" ("normal", "narrow", "base", "R_soft", xpos="right", ypos="base", trans=dissolve)
                    gen "What do you mean, [hermione_name]?" ("base", xpos="far_left", ypos="head")
                    her "It's so degrading... I had to clean other students dorms!" ("open", "narrow", "worried", "down")
                    gen "You can stop any time." ("base", xpos="far_left", ypos="head")
                    her "I can?" ("soft", "narrow", "worried", "mid_soft")
                    gen "Certainly, I'll just get one of those Slytherin floozies that you are always on about." ("grin", xpos="far_left", ypos="head")
                    gen "I'm sure that they'd jump at the chance to make some points for their house." ("base", xpos="far_left", ypos="head")
                    gen "They'd probably even do it for next to nothing, if not free." ("base", xpos="far_left", ypos="head")
                    her "Fine, I get your point...." ("upset", "closed", "base", "mid")
                    her "Can I get my points now?" ("angry", "closed", "angry", "mid")
                    gen "Certainly, ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
                elif random_number == 2:
                    her "I think you need to start enforcing harsher punishment for sexual harassment." ("mad", "base", "angry", "mid", xpos="right", ypos="base", trans=dissolve)
                    gen "Why's that?" ("base", xpos="far_left", ypos="head")
                    her "Some Slytherin boys kept wolf whistling at me as I was scrubbing the floors." ("mad", "base", "angry", "mid")
                    gen "Just see it as a compliment [hermione_name]." ("base", xpos="far_left", ypos="head")
                    her "As if any Slytherin would be capable of such a thing... They're just doing it to embarrass me." ("mad", "base", "angry", "mid")
                    gen "Whatever you say [hermione_name]..." ("base", xpos="far_left", ypos="head")
                    her "*Hmph*...{w=0.4} Can I get my points now?" ("angry", "closed", "angry", "mid")
                    gen "Certainly, ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
                elif random_number == 3:
                    her "Dreadful... Peeves kept blowing air underneath my skirt!" ("clench", "narrow", "base", "down", xpos="right", ypos="base", trans=dissolve)
                    gen "Who?" ("base", xpos="far_left", ypos="head")
                    her "That da--{w=0.3} That poltergeist!" ("angry", "closed", "annoyed", "mid")
                    her "It's bad enough that I had to clean the corridors..." ("upset", "happy", "annoyed", "mid")
                    her "But the fact that he's able to do that thanks to this dress..." ("clench", "closed", "base", "mid", cheeks="blush")
                    gen "Doesn't your regular uniform have a skirt?" ("base", xpos="far_left", ypos="head")
                    her "..." ("disgust", "squint", "base", "mid")
                    her "Can I have my points now?" ("clench", "narrow", "base", "R")
                    gen "Of course... Ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
            elif her_whoring < 13:
                if random_number == 1:
                    her "It was as normal a day of cleaning rooms could be." ("open", "base", "base", "mid", xpos="right", ypos="base", trans=dissolve)
                    her "Although considering that I'm supposed to be in class during the day I guess it's not that normal." ("soft", "base", "base", "R")
                    gen "Don't worry [hermione_name], you'll get your points." ("base", xpos="far_left", ypos="head")
                    gen "Just think of how happy your friends will be when they win the house cup this year." ("base", xpos="far_left", ypos="head")
                    her "I suppose..." ("open", "base", "base", "R")
                    gen "Ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
                elif random_number == 2:
                    her "It was fine I suppose..." ("soft", "base", "base", "R", xpos="right", ypos="base", trans=dissolve)
                    gen "Nothing else to tell me? What were you tasked to do today?" ("base", xpos="far_left", ypos="head")
                    her "*Ehm*..." ("open", "narrow", "base", "down")
                    her "Well I was tasked to clean the boys changing room..." ("angry", "closed", "base", "mid")
                    gen "Right..." ("base", xpos="far_left", ypos="head")
                    her "They really should've told me when... How am I supposed to know when they're not using it?" ("clench", "narrow", "base", "down")
                    gen "Ten points to Gryffindor!" ("base", xpos="far_left", ypos="head")
                    her "..." ("angry", "base", "base", "mid")
                elif random_number == 3:
                    her "Professor Snape had me sort his potion ingredients all day..." ("open", "narrow", "base", "mid", xpos="right", ypos="base", trans=dissolve)
                    gen "Doesn't sound too bad..." ("base", xpos="far_left", ypos="head")
                    her "He asked me to put everything on the highest shelves..." ("disgust", "narrow", "base", "mid")
                    her "When I asked him why he told me not to question his organization system..." ("angry", "narrow", "base", "mid")
                    her "As if he had one to begin with... He was probably just wanted a look up my skirt." ("open", "closed", "annoyed", "mid")
                    her "..." ("upset", "narrow", "base", "mid")
                    her "Can I have my points now?" ("angry", "narrow", "base", "mid")
                    gen "Of course... Ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
            elif her_whoring < 22:
                if random_number == 1:
                    her "It's was pretty uneventful." ("open", "base", "base", "R", xpos="right", ypos="base", trans=dissolve)
                    her "I suppose I should feel more annoyed by the other students staring at me but it doesn't bother me that much." ("open", "base", "base", "R")
                    gen "Good to hear." ("base", xpos="far_left", ypos="head")
                    her "I am helping the school after all..." ("base", "closed", "base", "mid")
                    gen "That you are... Ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
                elif random_number == 2:
                    her "I had to dust all the shelves in the library today." ("open", "closed", "base", "mid", xpos="right", ypos="base", trans=dissolve)
                    gen "That doesn't sound too bad..." ("base", xpos="far_left", ypos="head")
                    her "Well I got yelled at by Miss Pince for no reason." ("upset", "squint", "base", "mid")
                    her "She kept telling me that the other students needed to work on their studies and that I kept distracting them." ("clench", "narrow", "base", "mid")
                    her "Yet she didn't tell me to stop cleaning..." ("annoyed", "narrow", "base", "mid")
                    gen "Sound like a job well done to me... Ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
                    her "..." ("angry", "squint", "base", "mid")
                elif random_number == 3:
                    her "Pretty uneventful." ("open", "base", "base", "R", xpos="right", ypos="base", trans=dissolve)
                    her "I cleaned the prefects bathroom today so not really many people around." ("soft", "base", "base", "mid")
                    her "Although one of the mermaid portraits kept blowing me kisses." ("open", "squint", "base", "R", cheeks="blush")
                    gen "Was she attractive?" ("base", xpos="far_left", ypos="head")
                    her "..." ("normal", "squint", "base", "mid", cheeks="blush")
                    her "As attractive as a mermaid can be I suppose..." ("normal", "squint", "base", "mid", cheeks="blush")
                    gen "Nicely done... Ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
            else: #22+
                if random_number == 1:
                    her "It was fine... I cleaned the staffroom today..." ("open", "closed", "base", "mid", cheeks="blush", xpos="right", ypos="base", trans=dissolve)
                    her "Professor Snape seemed to think it was really funny to have me Scourgify his robes constantly as he continued spilling tea on himself..." ("angry", "narrow", "base", "R", cheeks="blush")
                    gen "Well I suppose that comes with the job." ("base", xpos="far_left", ypos="head")
                    her "That's what he said..." ("angry", "narrow", "base", "down", cheeks="blush")
                    gen "Ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
                elif random_number == 2:
                    her "Good, although I didn't really get much work done today." ("open", "narrow", "base", "R", xpos="right", ypos="base", trans=dissolve)
                    gen "Oh...{w=0.4} Why's that?" ("base", xpos="far_left", ypos="head")
                    her "Well...{w=0.4} I was asked to help the house elves and every time I started doing something one of them would come and do it for me." ("angry", "squint", "base", "mid")
                    her "Constantly apologizing for not having done it yet and bowing to me..." ("open", "narrow", "base", "mid")
                    gen "(Uh-oh...)" ("base", xpos="far_left", ypos="head")
                    her "It was kind of cute to be honest." ("base", "squint", "base", "R", cheeks="blush")
                    gen "Well then, I assume you still got paid?" ("base", xpos="far_left", ypos="head")
                    her "Oh...{w=0.4} Yes [genie_name]..." ("angry", "base", "base", "mid", cheeks="blush")
                    gen "Great! Ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
                elif random_number == 3:
                    gen "Tell me what you've been doing." ("base", xpos="far_left", ypos="head")
                    her "I've been cleaning professor Tonks' office..." ("open", "base", "base", "mid", cheeks="blush", xpos="right", ypos="base", trans=dissolve)
                    her "The things she keeps in there..." ("angry", "narrow", "base", "down", cheeks="blush")
                    her "Why I hope none the other students get detention with her." ("open", "closed", "base", "mid", cheeks="blush")
                    gen "Found anything interesting?" ("base", xpos="far_left", ypos="head")
                    her "*Hmm*... Not sure if she'd like it if I told you..." ("angry", "narrow", "base", "R", cheeks="blush")
                    gen "(As if I couldn't already guess...)" ("base", xpos="far_left", ypos="head")
                    gen "Ten points to Gryffindor." ("base", xpos="far_left", ypos="head")

        "-Dismiss her-":
            her "Here's your payment." ("base", "base", "base", "mid")
            ">You receive {number=payment} gold coins."
            gen "Well done [hermione_name], ten points to Gryffindor." ("base", xpos="far_left", ypos="head")

    her "Thank you, [genie_name]."

    $ gryffindor+= 10
    $ game.gold += payment

    call her_walk(action="leave")

    $ hermione.equip(her_outfit_last)

    $ hermione_busy = True
    $ current_job = None

    jump main_room_menu

# Barmaid Job
label job_2:
    if her_whoring <= 6:
        her "*Humph*!..."
    elif her_whoring >=7 and her_whoring <= 15:
        her "Yes [genie_name]..."
    else:
        her "As you wish [genie_name]."

    show screen blkfade
    with d5
    # Setup
    call play_sound("equip_inventory")
    $ her_outfit_last.save()
    $ hermione.equip(her_outfit_maid)
    her "" ("base", "base", "base", "mid",xpos="right",ypos="base")
    hide screen blkfade
    with d5

    pause 2.5
    hide hermione_main
    with d3

    gen "Off you go then..." ("base", xpos="far_left", ypos="head")

    call her_walk(action="leave")

    $ hermione_busy = True
    $ current_job = "barmaid"

    jump main_room_menu

label barmaid_responses:

    $ hermione.equip(her_outfit_maid)
    $ payment = renpy.random.randint(20, 50)

    call her_walk(action="enter", xpos="mid", ypos="base")

    her "" ("base", "base", "base", "mid",xpos="right",ypos="base")
    pause.5

    menu:
        "\"How was your day?\"":
            her "Fine..."
            gen "Anything unusual happen?" ("base", xpos="far_left", ypos="head")
            her "Not really, I just served people drinks."
            gen "Well in that case ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
            her "Thank you, [genie_name], here's your payment."
        "-Dismiss her-":
            her "Here's your payment."
            ">You receive {number=payment} gold coins."
            gen "Well done [hermione_name], ten points to Gryffindor." ("base", xpos="far_left", ypos="head")

    her "Thank you, [genie_name]."

    $ gryffindor+= 20
    $ game.gold += payment

    call her_walk(action="leave")

    $ hermione.equip(her_outfit_last)

    $ hermione_busy = True
    $ current_job = None
    jump main_room_menu

# Gryffindor Cheerleader Job (Needs outfit)
label job_3:
    if her_whoring <= 6:
        her "*Humph*!..."
    elif her_whoring <= 15:
        her "Yes, [genie_name]..." ("normal", "base", "base", "R")
    else:
        her "As you wish, [genie_name]." ("open", "base", "base", "mid")

    show screen blkfade
    with d5
    call play_sound("equip_inventory")
    $ her_outfit_last.save() # Store current outfit.
    if her_outfit_cheerleader_2.unlocked and her_whoring >= 11: #Sexy
        $ hermione.equip(her_outfit_cheerleader_2)
    else: #Normal
        $ hermione.equip(her_outfit_cheerleader_1)
    her "" ("base", "base", "base", "mid",xpos="right",ypos="base")
    hide screen blkfade
    with d5

    pause 2.5
    hide hermione_main
    with d3

    gen "You look great!" ("grin", xpos="far_left", ypos="head")
    her "Thank you..." ("base", "happyCl", "base", "mid")
    gen "Off you go then..." ("base", xpos="far_left", ypos="head")

    call her_walk(action="leave")

    $ hermione_busy = True
    $ current_job = "gryffindor_cheerleader"

    jump main_room_menu

label gryffindor_cheer_responses:

    if her_outfit_cheerleader_2.unlocked and her_whoring >= 11: #Sexy
        $ hermione.equip(her_outfit_cheerleader_2)
    else: #Normal
        $ hermione.equip(her_outfit_cheerleader_1)
    $ payment = renpy.random.randint(40, 80)

    call her_walk(action="enter", xpos="mid", ypos="base")

    her "" ("base", "base", "base", "mid",xpos="right",ypos="base")
    pause.5

    $ random_number = renpy.random.randint(0, 10)

    menu:
        "\"How was your day?\"":
            if random_number <= 2:
                her "It was good [genie_name], I think that the team morale has really started to go up." ("base", "base", "base", "mid")
                gen "How so?" ("base", xpos="far_left", ypos="head")
                her "Well, since I've started they seem to have improved their tactics." ("open", "base", "base", "mid")
                her "They also seem much happier. Harry is always looking at me with a smile on his face." ("base", "base", "base", "mid")
                gen "And does he look at you a lot?" ("base", xpos="far_left", ypos="head")
                her "Of course he does, we're good friends." ("open", "base", "base", "mid")
                gen "\"I'm sure that must be the reason\"..." ("base", xpos="far_left", ypos="head")
                her "Well here's the money, [genie_name]." ("base", "base", "base", "mid")
                ">You receive [payment] gold coins."
                gen "Well done, [hermione_name], ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
            elif random_number >= 3 and random_number <= 5:
                her "Tiring. This cheering thing really is quite exhausting." ("open", "base", "worried", "mid")
                gen "Anything interesting happen?" ("base", xpos="far_left", ypos="head")
                her "Not unless you count me almost dropping my pom-pom." ("normal", "base", "base", "mid")
                gen "I don't... Well, did they pay you?" ("base", xpos="far_left", ypos="head")
                her "Of course, here you are [genie_name]." ("open", "base", "base", "mid")
                ">You receive [payment] gold coins."
                gen "Well done [hermione_name], ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
            elif random_number >= 6 and random_number <= 8:
                her "Very well thank you, all the boys said that I helped keep their spirits up." ("open", "base", "base", "mid")
                gen "{size=-5}I'm sure that wasn't the only thing you've helped stay up...{/size}" ("base", xpos="far_left", ypos="head")
                her "What was that [genie_name]?" ("open", "squint", "base", "mid")
                gen "I was just saying that I'm sure you did a stand up job." ("base", xpos="far_left", ypos="head")
                her "I think so..." ("base", "happyCl", "base", "mid")
                gen "Well, did they pay you for raising their \"spirits\"?" ("base", xpos="far_left", ypos="head")
                her "Of course they did." ("open", "base", "base", "mid")
                ">You receive [payment] gold coins."
                gen "Well done [hermione_name], ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
            elif random_number >=9 and her_reputation <= 15:
                gen "You seem very chipper today." ("base", xpos="far_left", ypos="head")
                her "Of course I am, we won!" ("base", "base", "base", "mid")
                gen "Won?" ("base", xpos="far_left", ypos="head")
                her "We won! We beat Slytherin in a practice match." ("smile", "happyCl", "base", "mid")
                gen "You seem a little bit overexcited for just a practice match." ("base", xpos="far_left", ypos="head")
                her "Well it was such a great game. Not to mention that we got to rub it in those Slytherin students faces afterwards." ("smile", "base", "base", "R")
                gen "Well I'm glad that you are enjoying your work." ("grin", xpos="far_left", ypos="head")
                her "I am [genie_name]. Given that most of the \"work\" I've done to help my house is kept private, it feels good to be able to do something public once." ("open", "base", "base", "mid")
                gen "Not to mention you get paid for it..." ("base", xpos="far_left", ypos="head")
                her "Oh, right, Here you are..." ("soft", "base", "base", "R")
                ">You receive [payment] gold coins."
                gen "Well done [hermione_name], ten points to Gryffindor." ("base", xpos="far_left", ypos="head")
            else:
                her "We won! We managed to beat Slytherin." ("base", "base", "base", "mid")
                gen "That must have been very exhilarating. I'm sure your cheering gave the extra motivation needed to win." ("base", xpos="far_left", ypos="head")
                her "I think it did [genie_name]. They were all very excited to receive their reward for winning the game." ("base", "happyCl", "base", "mid")

                menu:
                    "-Reward?-":
                        gen "What reward did you promise them?" ("base", xpos="far_left", ypos="head")
                        her "Well I was quite keen to ensure our victory against Slytherin that I may have promised that I would give each of them a blowjob if they won." ("grin", "base", "base", "R")
                        gen "You gave every team member a blowjob after the game?" ("base", xpos="far_left", ypos="head")
                        her "And the water boy..." ("smile", "narrow", "base", "mid_soft")
                        gen "How did you even manage that? Did have to crawl around the locker room on your knees?" ("base", xpos="far_left", ypos="head")
                        her "Of course not, they all patiently waited on their turn..." ("scream", "closed", "angry", "mid")
                        gen "Who doesn't love a queue..." ("base", xpos="far_left", ypos="head")
                        gen "So they queued up... And then?" ("base", xpos="far_left", ypos="head")
                        her "Well I did what I said I would, I'm not the kind of person to lie am I?" ("annoyed", "base", "worried", "R")
                        her "So, I gave them the reward I promised... And surely you of all people would know how a blowjob works." ("annoyed", "happy", "base", "R")
                        gen "That's not quite what I meant." ("base", xpos="far_left", ypos="head")
                        gen "You just look rather..." ("base", xpos="far_left", ypos="head")
                        gen "Clean, that's all." ("base", xpos="far_left", ypos="head")
                        her "Oh, well..." ("base", "narrow", "worried", "down",cheeks="blush")
                        her "I didn't want to make a mess." ("soft", "narrow", "base", "down",cheeks="blush")
                        her "Anyhow, I'm glad I did it. I can't wait to rub it in Astoria's face tomorrow..." ("smile", "base", "base", "mid")
                        gen "I'm glad you think it was worth it. Did they pay you?" ("base", xpos="far_left", ypos="head")
                    "-Okay-":
                        gen "I'm sure it was worth it. Did they pay you?" ("base", xpos="far_left", ypos="head")

                her "Of course they did [genie_name], here you are."
                gen "Well done [hermione_name], ten points to Gryffindor." ("base", xpos="far_left", ypos="head")

        "-Dismiss her-":
            her "Here's your payment [genie_name]." ("soft", "base", "base", "R")
            gen "Well done [hermione_name], ten points to Gryffindor." ("base", xpos="far_left", ypos="head")

    her "Thank you, [genie_name]." ("base", "happyCl", "base", "mid")
    ">You receive [payment] gold coins."
    $ gryffindor+= 20
    $ game.gold += payment

    call her_walk(action="leave")

    $ hermione.equip(her_outfit_last)

    $ hermione_busy = True
    $ current_job = None
    jump main_room_menu

# Slytherin Cheerleader Job
label job_4:

    if her_whoring <= 6:
        her "*Humph*!..."
    elif her_whoring >=7 and her_whoring <= 15:
        her "Yes, [genie_name]..."
    else:
        her "As you wish, [genie_name]."

    show screen blkfade
    with d5
    call play_sound("equip_inventory")
    $ her_outfit_last.save() # Store current outfit.
    if her_outfit_cheerleader_2.unlocked and her_whoring >= 11: #Sexy
        $ hermione.equip(her_outfit_cheerleader_2)
    else: #Normal
        $ hermione.equip(her_outfit_cheerleader_1)
    her "" ("base", "base", "base", "mid",xpos="right",ypos="base")
    hide screen blkfade
    with d5

    pause 2.5
    hide hermione_main
    with d3

    gen "You look incredible!" ("angry", xpos="far_left", ypos="head")
    her "Thank you..." ("base", "happyCl", "base", "mid")
    gen "Off you go then..." ("base", xpos="far_left", ypos="head")

    call her_walk(action="leave")

    $ hermione_busy = True
    $ current_job = "slytherin_cheerleader"

    call music_block
    jump main_room_menu

label slytherin_cheer_responses:

    if her_outfit_cheerleader_2.unlocked and her_whoring >= 11: #Sexy
        $ hermione.equip(her_outfit_cheerleader_2)
    else: #Normal
        $ hermione.equip(her_outfit_cheerleader_1)

    $ payment = renpy.random.randint(50, 100)

    call her_walk(action="enter", xpos="mid", ypos="base")

    $ random_number = renpy.random.randint(0, 10)

    if random_number >=9 and her_reputation > 15:
        $ uni_sperm = True
        her "" ("base", "narrow", "base", "up",xpos="right",ypos="base")
    else:
        her "" ("base", "base", "base", "mid",xpos="right",ypos="base")
    pause.5

    menu:
        "-Ask her about her day-":
            if random_number <= 2:
                gen "How was your day today [hermione_name]?" ("base", xpos="far_left", ypos="head")
                her "Exhausting... Those Slytherin pigs insisted that I cheer for their entire practice session." ("open", "closed", "angry", "mid")
                her "They were hardly playing the game by the end. They were just standing there watching me."
                gen "Well what was your routine?" ("base", xpos="far_left", ypos="head")
                her "Mostly star jumps while I cheered \"Go Slytherin!\"." ("annoyed", "squint", "angry", "mid")
                gen "So you were just jumping up and down? That doesn't seem like a very intricate cheer." ("base", xpos="far_left", ypos="head")
                her "It isn't but it's what they insisted I do." ("annoyed", "narrow", "angry", "R")
                gen "Well it definitely sounds like you earned your points." ("base", xpos="far_left", ypos="head")
                gen "Thirty points to Gryffindor." ("base", xpos="far_left", ypos="head")
            elif random_number >= 3 and random_number <= 5:
                gen "How was your day today [hermione_name]?" ("base", xpos="far_left", ypos="head")
                her "Uneventful. I completed my routine and then went back to my room..." ("open", "squint", "base", "mid")
                gen "You didn't talk to anyone?" ("base", xpos="far_left", ypos="head")
                her "I make a point of trying to avoid Slytherin student as best I can." ("annoyed", "narrow", "angry", "R")
                gen "Are they really that unbearable?" ("base", xpos="far_left", ypos="head")
                her "Yes..." ("open", "closed", "angry", "mid")
                gen "Well, you earned your points." ("base", xpos="far_left", ypos="head")
                gen "Thirty points to Gryffindor." ("base", xpos="far_left", ypos="head")
            elif random_number >= 6 and random_number <= 8:
                gen "Hello [hermione_name]." ("base", xpos="far_left", ypos="head")
                her "Hello [genie_name]." ("normal", "base", "base", "mid")
                gen "How did everything go today?" ("base", xpos="far_left", ypos="head")
                her "Very well. In fact I think I might be doing too well." ("annoyed", "base", "worried", "R")
                gen "How so?" ("base", xpos="far_left", ypos="head")
                her "I think that my cheering is having too much of an positive effect." ("open", "base", "worried", "mid")
                her "I'm not sure that I want the Slytherin team to improve, let alone because of me..." ("open", "base", "worried", "R")
                gen "Just think about how you're helping your house in other ways." ("base", xpos="far_left", ypos="head")
                her "I suppose you're right [genie_name]." ("open", "base", "base", "mid")
                gen "Of course I am... Now, did they pay you?" ("base", xpos="far_left", ypos="head")
                her "Yes [genie_name]." ("base", "base", "base", "mid")
                gen "Well done [hermione_name], twenty points to Gryffindor." ("base", xpos="far_left", ypos="head")
            elif random_number >=9 and her_reputation > 15:
                her "[genie_name], something must be done about those Slytherin boys..." ("open", "closed", "angry", "mid")
                her "It's bad enough that I have to cheer for them but they are being a little bit touchy." ("annoyed", "narrow", "angry", "R")
                gen "Touchy?" ("base", xpos="far_left", ypos="head")
                her "Yes, they keep groping me. It's highly inappropriate and it interrupts my routine." ("scream", "closed", "angry", "mid")
                gen "You kept dancing while they groped you?" ("base", xpos="far_left", ypos="head")
                her "Of course, I'm there to complete a job. I'm not getting distracted just because of a few boys." ("open", "closed", "angry", "mid")
                gen "Well what would you have me do?" ("base", xpos="far_left", ypos="head")
                her "Speak to Professor Snape, tell him to chastise them. They'll listen to him..." ("angry", "base", "angry", "mid")
                gen "Very well, I'll speak to him. Although I'm not sure it will have the effect you're hoping for." ("base", xpos="far_left", ypos="head")
                her "It better, otherwise I wont put my full effort into this..." ("normal", "squint", "angry", "mid")
                gen "{size=-5}I'm sure that'll show them.{/size}" ("base", xpos="far_left", ypos="head")
                her "What was that [genie_name]?" ("open", "squint", "base", "mid")
                gen "Nothing [hermione_name], I'll speak to Professor Snape tonight..." ("base", xpos="far_left", ypos="head")
            else:#Comes back with cum on her
                gen "What the hell happened to you?" ("base", xpos="far_left", ypos="head")
                her "I did my job [genie_name]." ("angry", "narrow", "base", "down")
                gen "What are you talking about? You were supposed to be a cheerleader." ("base", xpos="far_left", ypos="head")
                gen "You know, cheering..." ("base", xpos="far_left", ypos="head")
                gen "And all that." ("base", xpos="far_left", ypos="head")
                her "I am [genie_name]. I just performed a different type of cheer today." ("soft", "narrow", "annoyed", "up")
                gen "And by that you mean jerking off the entire Slytherin team?" ("base", xpos="far_left", ypos="head")
                her "Well that's not how it started. I was initially just giving them a bit of a dance in the locker room..." ("angry", "narrow", "base", "down")
                her "And one thing led to another."
                gen "Fine, I don't want to hear it. How much did they pay you for this \"cheering\"?" ("base", xpos="far_left", ypos="head")
                her "Pay me?" ("silly", "narrow", "base", "dead")
                gen "You are supposed to be paid for this [hermione_name]." ("base", xpos="far_left", ypos="head")
                her "Oh, I must have forgotten... Sorry [genie_name]." ("base", "base", "base", "R",cheeks="blush")
                gen "Fine, but you aren't getting any points." ("base", xpos="far_left", ypos="head")
                her "Of course [genie_name]. Will that be all?" ("base", "base", "base", "mid")
                gen "Yes, you're free to go now." ("base", xpos="far_left", ypos="head")
                her "Thank you, [genie_name]." ("base", "narrow", "base", "mid_soft")
                jump end_her_working_no_payment
        "-Dismiss her-":
            her "Here's your payment." ("open", "base", "base", "mid")
            ">You receive [payment] gold coins."
            gen "Well done [hermione_name], thirty points to Gryffindor." ("base", xpos="far_left", ypos="head")

    her "Thank you, [genie_name]." ("base", "narrow", "base", "mid_soft")
    ">You receive [payment] gold coins."
    $ gryffindor+= 30
    $ game.gold += payment

    label end_her_working_no_payment:

    call her_walk(action="leave")

    $ hermione.equip(her_outfit_last)

    $ hermione_busy = True
    $ current_job = None
    $ uni_sperm = False

    call music_block
    jump main_room_menu


#Send Hermione to work, promoting the card game.

label job_5:

    if first_time_cardgame_work:
        gen "Alright then, I think it's time you go help the twins with their shop." ("base", xpos="far_left", ypos="head")
        her "Sir... Why do you want me to help them exactly?" ("annoyed", "closed", "base", "mid")
        gen "That is my business." ("grin", xpos="far_left", ypos="head")
        her "What do you want me to tell them then?" ("open", "narrow", "worried", "mid_soft")
        gen "Just ask them if they have a need for any help promoting their card game." ("base", xpos="far_left", ypos="head")
        gen "If they're as business minded as I think, then there's no way they'd say no." ("grin", xpos="far_left", ypos="head")
        gen "And make sure you ask them for payment." ("grin", xpos="far_left", ypos="head")
        her "Fine..." ("base", "closed", "base", "mid")
        her "I'll see you tonight." ("open", "base", "base", "mid")
        gen "Forgetting something?" ("base", xpos="far_left", ypos="head")
        her "*Hmm*?" ("annoyed", "base", "worried", "mid")
        gen "Your uniform!" ("base", xpos="far_left", ypos="head")
        gen "Here you are..." ("base", xpos="far_left", ypos="head")
        $ renpy.sound.play("sounds/cloth_sound3.ogg")
        pause 1

        if her_whoring < 19:
            # Failstate
            her "I know I said I'd help them but you want me to wear... this?" ("open", "base", "angry", "mid")
            gen "Of course, is that going to be a problem?" ("base", xpos="far_left", ypos="head")
            her "Yes!" ("angry", "base", "angry", "mid")
            her "I can't believe you've done this."
            her "Did you have this commissioned?" ("open", "squint", "angry", "mid")
            gen "The twins sold it to me..." ("base", xpos="far_left", ypos="head")
            her "Of course they did..."
            gen "So it's a--" ("base", xpos="far_left", ypos="head")
            her "Of course it's a no!" ("shock", "base", "angry", "mid")
            her "" ("angry", "base", "angry", "mid")
            $ her_mood += 5
            jump working_menu

        $ first_time_cardgame_work = False
        $random_choice = renpy.random.randint(0,3)

        if random_choice == 0:
            her "Why are the cards placed like that?" ("mad", "narrow", "worried", "down")
            her "..." ("normal", "happyCl", "worried", "mid", cheeks="blush")
            her "Fine..." ("open", "narrow", "base", "down", cheeks="blush")
        elif random_choice == 1:
            her "..." ("normal", "base", "worried", "mid", cheeks="blush")
            her "Well, if it stops you from deducting those points." ("open", "happyCl", "worried", "mid", cheeks="blush")
            her "I'll do it." ("base", "wink", "base", "mid")
        elif random_choice == 2:
            her "It's a bit revealing... but I'll do it." ("smile","happy", cheeks="blush")
            her "For Gryffindor house obviously!" ("open", "happyCl", "base", "mid", cheeks="blush")
        else:
            her "That doesn't leave a lot to the imagination..." ("smile", "happy", "base", "mid")
            her "At least the straps should cover my nipples..." ("open", "wink", "base", "mid")
            her "I'll do it..." ("normal", "happy", "base", "mid", cheeks="blush")


    show screen blkfade
    with d5
    call play_sound("equip_inventory")
    $ her_outfit_last.save()
    $ hermione.equip(her_outfit_poker)
    hide screen blkfade
    with d5

    gen "Looking great!" ("grin", xpos="far_left", ypos="head")
    her "Thank you..." ("open","happy", cheeks="blush")
    gen "Off you go then..." ("base", xpos="far_left", ypos="head")

    call her_walk(action="leave")
    $ hermione_busy = True
    $ current_job = "promoter"

    call music_block
    jump main_room_menu

label hermione_helping_selling_cards:
    $ current_job = None
    $ hermione.equip(her_outfit_poker)

    call her_walk(action="enter", xpos="mid", ypos="base")

    $ random_choice = renpy.random.randint(1,4)

    if her_shop_help_first:
        $ her_shop_help_first = False
        her ""
        gen "Hello, [hermione_name], how was your day?" ("base", xpos="far_left", ypos="head")
        her "Good..." ("normal", "happy", "base", "mid")
        her "I'm still not that comfortable wearing the outfit you provided though so I just stood behind the shop counter today." ("open", "closed", "base", "mid")
        her "Apparently we sold a lot more items than usual though." ("base","happy", "base", "mid", cheeks="blush")
        gen "Great news, I bet the twins are ecstatic." ("grin", xpos="far_left", ypos="head")
        her "Indeed, It was nice seeing them in such high spirits." ("open", "happyCl", "base", "mid", cheeks="blush")
        her "Whilst I might not agree with all their business methods I think they might become great salesmen some day." ("base", "happy", "base", "mid")
        gen "Seems to me like they are already..." ("grin", xpos="far_left", ypos="head")
        gen "So, how come you had such a surge in new customers?" ("base", xpos="far_left", ypos="head")
        her "No idea, maybe the card game got more people interested in browsing the rest of their stock." ("annoyed", "happy", "base", "R")
        her "They actually had some problems with people stealing things before I started working there though." ("open", "closed", "base", "mid")
        gen "And this stopped after you started working there?" ("base", xpos="far_left", ypos="head")
        her "Well, probably not because of it. They put in some anti thieving measures." ("base", "base", "base", "mid")
        gen "Patent pending?" ("base", xpos="far_left", ypos="head")
        her "It's pretty clever actually, they put up a mirror behind the counter so that when I have to turn around and grab something I'll be able to see if anyone takes anything." ("smile", "wink", "base", "mid")
        gen "\"Yeah, I'm sure that's why they put the mirror there\"..." ("grin", xpos="far_left", ypos="head")
        gen "Sounds like you're doing a great job." ("base", xpos="far_left", ypos="head")
        her "Thanks!" ("open","happy", cheeks="blush")
        her "Here's your payment." ("open", "base", "base", "mid")
        call give_reward("You have received twenty gold", "interface/icons/gold.webp")
        $ game.gold += 20
        gen "Well done [hermione_name], fifteen points to Gryffindor." ("base", xpos="far_left", ypos="head")
        $ gryffindor += 15

    if random_choice == 1:
        her ""
        gen "Hello, [hermione_name], how was your day?" ("base", xpos="far_left", ypos="head")
        her "It was fine, the outfit is a bit chilly though." ("normal", "happy", "base", "mid_soft")
        gen "So, no other complications?" ("base", xpos="far_left", ypos="head")
        her "Well..." ("soft", "narrow", "worried", "down", cheeks="blush")
        her "The twins asked me to give out some free promotional starter packs." ("open", "happy", "base", "mid", cheeks="blush")
        gen "Yes?" ("base", xpos="far_left", ypos="head")
        gen "Sounds like a great way to get people into playing..." ("base", xpos="far_left", ypos="head")
        her "Well, I didn't have anywhere to store the packs as you could imagine." ("base", "narrow", "worried", "down", cheeks="blush")
        her "So I had to resort to putting them behind my suspenders and the top of my stockings..." ("open", "closed", "base", "mid", cheeks="blush")
        her "And one customer got a bit..." ("normal", "closed", "base", "mid", cheeks="blush")
        her "Touchy." ("base", "narrow", "annoyed", "up", cheeks="blush")
        gen "I see..." ("base", xpos="far_left", ypos="head")
        her "I did get a bit agitated at one point actually..." ("open", "closed", "base", "mid", cheeks="blush")
        gen "They didn't fire you did they?" ("angry", xpos="far_left", ypos="head")
        her "No!" ("mad", "wide", "base", "mid")
        her "The customer was quite apologetic actually and bought a bunch of things." ("smile", "closed", "angry", "mid")
        her "The twins obviously took the credit for getting such a big sale and seemed rather pleased with themselves." ("crooked_smile", "narrow", "annoyed", "mid")
        her "I'm fine with them believing they had anything to do with it though." ("smile", "closed", "base", "mid")
        gen "How noble of you..." ("base", xpos="far_left", ypos="head")
        her "Here's your payment." ("open", "base", "base", "mid")
        call give_reward("You have received twenty gold", "interface/icons/gold.webp")
        $ game.gold += 20
        gen "Well done [hermione_name], twenty points to Gryffindor." ("base", xpos="far_left", ypos="head")
        $ gryffindor += 20
    elif random_choice == 2:
        her ""
        gen "Hello, [hermione_name], how was your day?" ("base", xpos="far_left", ypos="head")
        her "Awful..." ("normal", "narrow", "worried", "down")
        gen "Really, why is that?" ("base", xpos="far_left", ypos="head")
        her "Well, I'm not actually angry..." ("open", "base", "base", "mid")
        her "Just a bit annoyed, that's all." ("annoyed", "closed", "base", "mid")
        gen "With?" ("base", xpos="far_left", ypos="head")
        her "Myself..." ("open", "base", "worried", "R", cheeks="blush")
        her "We've set up a practice day where you get to borrow a deck of cards to get more people into the game." ("normal", "happy", "base", "mid")
        gen "Sounds like a good idea, get people invested." ("grin", xpos="far_left", ypos="head")
        her "Well, that was fine and all until the amount of new people interested started to slow down." ("open", "narrow", "worried", "down")
        gen "I see, so I expect the responsibility fell on you as you're the one meant to promote the game?" ("base", xpos="far_left", ypos="head")
        her "Yes... I thought it was a great idea so if it ended up not working out then it would look very bad on my part." ("normal", "closed", "base", "mid")
        gen "So, you had to stop the practice sessions?" ("base", xpos="far_left", ypos="head")
        her "No, that's not why I'm annoyed..." ("annoyed", "happy", "base", "R")
        her "In my haste to find a solution I thought it would be a great idea to play a few rounds of strip cards to get more people interested." ("open", "narrow", "base", "down", cheeks="blush")
        her "..." ("angry", "closed", "angry", "mid", cheeks="blush")
        her "I've played enough not to be beaten by a new player I thought." ("mad", "narrow", "angry", "R", cheeks="blush")
        gen "Of course, you've played against me after all..." ("grin", xpos="far_left", ypos="head")
        her "..." ("base", "base", "angry", "mid")
        gen "Sorry, go on." ("base", xpos="far_left", ypos="head")
        her "Well, I managed to get a bunch of people into the card game so practice day is still on the schedule." ("annoyed", "closed", "angry", "mid")
        gen "That's good!" ("grin", xpos="far_left", ypos="head")
        her "Though I might reconsider the whole strip card idea..." ("angry", "narrow", "worried", "down", cheeks="blush")
        her "I lost pretty quickly..." ("normal", "closed", "base", "mid", cheeks="blush")
        her "It turned out they had been cheating the whole time..." ("normal", "base", "base", "mid", cheeks="blush")
        gen "Well, cheaters never prosper..." ("grin", xpos="far_left", ypos="head")
        her "That's not true in this case... they prospered alright." ("open", "happy", "base", "R", cheeks="blush")
        her "In any case, they seemed... happy, they bought a bunch of things so that makes me..." ("normal", "base", "base", "mid")
        her "Happy as well..." ("angry", "closed", "base", "mid", cheeks="blush")
        gen "A job well done then, I bet the twins are very grateful for your contribution." ("grin", xpos="far_left", ypos="head")
        her "Thank you." ("annoyed", "happyCl", "base", "mid", cheeks="blush")
        her "Anyway..." ("base", "base", "base", "mid")
        her "Here's your payment." ("open", "base", "base", "mid")
        call give_reward("You have received twenty gold", "interface/icons/gold.webp")
        $ game.gold += 20
        gen "Well done [hermione_name], twenty points to Gryffindor." ("base", xpos="far_left", ypos="head")
        $ gryffindor += 20
    elif random_choice == 3:
        her ""
        gen "Hello, [hermione_name], how was your day?" ("base", xpos="far_left", ypos="head")
        her "Great, they held a card game tournament today." ("base", "base", "base", "mid")
        gen "Wait, a tournament? How come I wasn't invited?" ("angry", xpos="far_left", ypos="head")
        her "It was students only obviously..." ("open", "happy", "base", "R")
        gen "Oh... of course." ("base", xpos="far_left", ypos="head")
        her "There were way more participants than I expected seeing that there was an entry fee." ("base", "closed", "base", "mid", cheeks="blush")
        gen "Must've been a great prize pool then..." ("base", xpos="far_left", ypos="head")
        her "That's the weird thing. The prize pool only amounted to about half of the total entry fee amount." ("open", "base", "base", "mid")
        her "Apparently... someone had gone around spreading the rumour that the winner would..." ("normal", "narrow", "worried", "down")
        her "Get a go with me if they won the tournament..." ("annoyed", "narrow", "base", "down", cheeks="blush")
        gen "And did they?" ("grin", xpos="far_left", ypos="head")
        her "Of course that was never on the table..." ("base", "base", "angry", "mid", cheeks="blush")
        gen "On a desk then?" ("grin", xpos="far_left", ypos="head")
        her "Well..." ("annoyed", "base", "base", "mid", cheeks="blush")
        her "The winner did end up standing there with such an expectant look on his face after everyone had left..." ("open", "narrow", "worried", "down", cheeks="blush")
        gen "..." ("base", xpos="far_left", ypos="head")
        her "So I told him that whatever he was expecting it wasn't happening." ("angry", "narrow", "angry", "R", cheeks="blush")
        her "He seemed so disheartened so I felt a bit bad about the whole thing..." ("open", "closed", "angry", "mid")
        her "So, since I didn't want to bring his feeling of victory down I figured since some students had spread the rumour they'd assume the worst anyway..." ("open", "base", "angry", "mid", cheeks="blush")
        her "So I put my hand down his pants and fiddled around a bit whilst letting the guy get a peek behind my suspenders." ("grin", "base", "angry", "mid", cheeks="blush")
        gen "Good on you!" ("grin", xpos="far_left", ypos="head")
        her "You don't think that was a bit much?" ("annoyed", "base", "base", "mid", cheeks="blush")
        gen "No! That was the right thing to do in that situation." ("grin", xpos="far_left", ypos="head")
        gen "There wasn't a lot you could do about the rumours even if nothing had happened he'd probably lie about it anyway." ("base", xpos="far_left", ypos="head")
        gen "You most likely ended up making that guys night." ("grin", xpos="far_left", ypos="head")
        her "More like month... seeing how much he..." ("open", "narrow", "worried", "down", cheeks="blush")
        her "Anyway..." ("normal", "base", "base", "mid")
        her "glad you agree." ("base", "happy", "base", "mid_soft")
        her "Here's your payment." ("open", "base", "base", "mid")
        call give_reward("You have received twenty gold", "interface/icons/gold.webp")
        $ game.gold += 20
        gen "Well done [hermione_name], twenty points to Gryffindor." ("base", xpos="far_left", ypos="head")
        $ gryffindor += 20
    else:
        $ hermione.set_cum(hair="light")
        her "" ("cum", "narrow", "base", "dead")
        gen "What happened to you?" ("base", xpos="far_left", ypos="head")
        her "What do you mean..." ("open", "narrow", "worried", "mid_soft")
        her "Oh, that..." ("base", "narrow", "worried", "down", cheeks="blush")
        gen "Yes, that..." ("base", xpos="far_left", ypos="head")
        her "There's a good explanation for this." ("normal", "narrow", "base", "down", cheeks="blush")
        gen "..." ("base", xpos="far_left", ypos="head")
        gen "Go on." ("base", xpos="far_left", ypos="head")
        her "Oh, sorry... Well, I was trying out a new sales tactic..." ("open", "happy", "base", "R", cheeks="blush")
        gen "Something the twins came up with I assume?" ("base", xpos="far_left", ypos="head")
        her "No, I read about it in one of their books actually." ("grin", "happy", "base", "mid_soft")
        her "Much like how you should always put the most lucrative cheap items at the counter to make the customer..." ("open", "base", "base", "mid")
        gen "Get on with it." ("angry", xpos="far_left", ypos="head")
        her "Fine..." ("annoyed", "narrow", "base", "R_soft", cheeks="blush")
        her "I read that by putting the customer in a state of peace and happiness it would make them more susceptible to making hasty decisions." ("smile", "happyCl", "base", "mid", cheeks="blush")
        gen "Didn't think you'd be interested in such... unorthodox sales tactics..." ("grin", xpos="far_left", ypos="head")
        her "I was curious to see if it would work more than anything else." ("base", "closed", "base", "mid", cheeks="blush")
        her "I tried it out to test the legitimacy of the claims in that book of theirs..." ("open", "base", "base", "mid")
        gen "of course..." ("base", xpos="far_left", ypos="head")
        gen "And how many times did you test this... theory of yours." ("base", xpos="far_left", ypos="head")
        her "There's no conclusion to be made by just testing a theory once [genie_name]." ("normal", "closed", "angry", "mid")
        her "Anyway..." ("open", "base", "base", "mid")
        her "Here's your payment." ("open", "base", "base", "mid")
        call give_reward("You have received twenty gold", "interface/icons/gold.webp")
        $ game.gold += 20
        gen "Well done [hermione_name], twenty-five points to Gryffindor." ("base", xpos="far_left", ypos="head")
        $ gryffindor += 25

    her "Good night, [genie_name]."
    call her_walk(action="leave")

    $ hermione.equip(her_outfit_last)
    $ hermione.set_cum(None)

    call music_block
    jump main_room_menu
