label hermione_talk:
    menu:
        "-Working-" (icon="interface/icons/small/gold.webp") if hermione_favors:
            label working_menu:
            menu:
                "-Work as a maid-" if game.daytime and her_outfit_maid.unlocked:
                    jump job_1

                "-Work as a maid-" (style="disabled") if game.daytime and not her_outfit_maid.unlocked:
                    gen "(I'll need an outfit for hermione if I want her to work.)" ("base", xpos="far_left", ypos="head")
                    jump working_menu

                "-Work as a maid-" (style="disabled") if not game.daytime:
                    "This job is only available during the day."
                    jump working_menu

                #"-Work as a cheerleader for Gryffindor-" if game.daytime and (hg_cheer_g_ITEM.unlocked or hg_cheer_g_sexy_ITEM.unlocked):
                     #jump job_3

                #"-Work as a cheerleader for Gryffindor-" if game.daytime and not (hg_cheer_g_ITEM.unlocked or hg_cheer_g_sexy_ITEM.unlocked):
                    #gen "(I'll need an outfit for hermione if I want her to work.)" ("base", xpos="far_left", ypos="head")
                    #jump working_menu

                #"-Work as a cheerleader for Gryffindor-" (style="disabled") if not game.daytime:
                    #"This job is only available during the day."
                    #jump working_menu

                #"-Work as a cheerleader for Slytherin-" if game.daytime and (hg_cheer_s_ITEM.unlocked or hg_cheer_s_sexy_ITEM.unlocked):
                    #jump job_4

                #"-Work as a cheerleader for Slytherin-" if game.daytime and not (hg_cheer_s_ITEM.unlocked or hg_cheer_s_sexy_ITEM.unlocked):
                    #gen "(I'll need a slytherin cheerleader outfit for hermione if I want her to work.)" ("base", xpos="far_left", ypos="head")
                    #jump working_menu

                #"-Work as a cheerleader for Slytherin-" (style="disabled") if not game.daytime:
                    #"This job is only available during the day."
                    #jump working_menu

                "-Hidden-" (style="disabled") if game.daytime and not cardgame_work and not her_outfit_poker.unlocked:
                    "You haven't unlocked this job opportunity yet."
                    jump working_menu

                "-Work by advertising the card game-" if game.daytime and cardgame_work and her_outfit_poker.unlocked:
                    jump job_5

                "-Work by advertising the card game-" (style="disabled") if game.daytime and cardgame_work and not her_outfit_poker.unlocked:
                    gen "(I'll need an outfit for hermione if I want her to work.)" ("base", xpos="far_left", ypos="head")
                    gen "(Maybe the twins have something fitting for her in their stock.)" ("base", xpos="far_left", ypos="head")
                    jump working_menu

                "-Work by advertising the card game-" (style="disabled") if not game.daytime and cardgame_work:
                    "This job is only available during the day."
                    jump working_menu

                "-Never mind-":
                    jump hermione_talk

        ### Astoria ###
        "-Ask her to help Tonks-" (icon="interface/icons/small/tonks.webp") if astoria_intro.E1_complete and not astoria_intro.E3_complete:
            if astoria_intro.E2_hermione:
                her "I'm still looking for that student, [genie_name]!" ("open", "closed", "base", "mid")
                her "Trust in me, I will find that Slytherin scum!" ("angry", "base", "angry", "mid")
                jump hermione_talk

            $ hermione_busy = True
            $ astoria_intro.E2_hermione = True
            $ ag_event_pause = 2
            jump astoria_intro_E2_hermione


        ### Cho ###
        "-Solve the matter with Cho-" (icon="interface/icons/small/cho.webp", style="disabled") if cho_intro.E2_complete and not ss_he.cho_E1:
            # Before talking to Snape.
            gen "(I should ask Snape what to do about that Cho girl first. Just to be safe.)" ("base", xpos="far_left", ypos="head")
            gen "(Might as well have a drink with him...)" ("base", xpos="far_left", ypos="head")
            jump hermione_talk

        "-Solve the matter with Cho-" (icon="interface/icons/small/cho.webp") if ss_he.cho_E1 and not cho_intro.E3_complete:
            # After talking to Snape.
            jump cho_intro_E3

        "-Ask her to commentate the game-" (icon="interface/icons/small/quidditch.webp") if cho_tier == 1 and cho_quid.E3_complete and not cho_quid.E4_complete:
            jump cho_quid_E4

        "-Ask her to commentate the game-\n{size=-5}again...{/size}" (icon="interface/icons/small/quidditch.webp") if cho_tier == 2 and cho_quid.E6_complete and not cho_quid.E7_complete:
            jump cho_quid_E7

        # General.
        "-Address me only as-":
            menu:
                "-Sir-":
                    $ genie_name = "Sir"
                    jump genie_change
                "-Dumbledore-":
                    $ genie_name = "Dumbledore"
                    jump genie_change
                "-Professor-":
                    $ genie_name = "Professor"
                    jump genie_change
                "-Old man-":
                    $ genie_name = "Old man"
                    jump genie_change
                "-Genie-":
                    if her_whoring >=5:
                        $ genie_name = "Genie"
                        jump genie_change
                    else:
                        jump genie_change_fail
                "-My Lord-":
                    if her_whoring >=7:
                        $ genie_name = "My Lord"
                        jump genie_change
                    else:
                        jump genie_change_fail
                "-Darling-":
                    if her_whoring >=10:
                        $ genie_name = "Darling"
                        jump genie_change
                    else:
                        jump genie_change_fail
                "-Lord Voldemort-":
                    if her_whoring >=15:
                        $ genie_name = "Lord Voldemort"
                        jump genie_change
                    else:
                        jump genie_change_fail
                "-Daddy-":
                    if her_whoring >=19:
                        $ genie_name = "Daddy"
                        $ achievements.unlock("daddy")
                        jump genie_change
                    else:
                        jump genie_change_fail
                "-Master-":
                    if her_whoring >=20:
                        $ genie_name = "Master"
                        jump genie_change
                    else:
                        jump genie_change_fail
                "-Custom Input-":
                    $ temp_name = renpy.input("(Please enter the name.)", genie_name, ALLOWED_CHARACTERS, length=14)
                    $ temp_name = temp_name.strip()
                    if temp_name == "":
                        jump hermione_talk
                    if her_whoring >=20:
                        $ genie_name = temp_name
                        jump genie_change
                    else:
                        jump genie_change_fail
                "-Never mind-":
                    jump hermione_talk

        "-From now on I will refer to you as-":
            menu:
                "-Miss Granger-":
                    $ temp_name = "Miss Granger"
                    jump hermione_change
                "-Hermione-":
                    $ temp_name = "Hermione"
                    jump hermione_change
                "-Girl-":
                    $ temp_name = "Girl"
                    if her_whoring >=1:
                        jump hermione_change
                    else:
                        jump hermione_change_fail
                "-Nerd-":
                    $ temp_name = "Nerd"
                    if her_whoring >=3:
                        jump hermione_change
                    else:
                        jump hermione_change_fail
                "-Hottie-":
                    $ temp_name = "Hottie"
                    if her_whoring >=5:
                        jump hermione_change
                    else:
                        jump hermione_change_fail
                "-Angel-":
                    $ temp_name = "Angel"
                    if her_whoring >=7:
                        jump hermione_change
                    else:
                        jump hermione_change_fail
                "-Minx-":
                    $ temp_name = "Minx"
                    if her_whoring >=9:
                        jump hermione_change
                    else:
                        jump hermione_change_fail
                "-Princess-":
                    $ temp_name = "Princess"
                    if her_whoring >=11:
                        jump hermione_change
                    else:
                        jump hermione_change_fail
                "-Pet-":
                    $ temp_name = "Pet"
                    if her_whoring >=11:
                        jump hermione_change
                    else:
                        jump hermione_change_fail
                "-Bitch-":
                    $ temp_name = "Bitch"
                    if her_whoring >=13:
                        jump hermione_change
                    else:
                        jump hermione_change_fail
                "-Slut-":
                    $ temp_name = "Slut"
                    if her_whoring >=15:
                        jump hermione_change
                    else:
                        jump hermione_change_fail
                "-Cumslut-":
                    $ temp_name = "Cumslut"
                    if her_whoring >= 17:
                        jump hermione_change
                    else:
                        jump hermione_change_fail
                "-Slytherin Whore-":
                    $ temp_name = "Slytherin Whore"
                    if her_whoring >= 19:
                        jump hermione_change
                    else:
                        jump hermione_change_fail
                "-Mudblood-":
                    $ temp_name = "Mudblood"
                    if her_whoring >= 21:
                        jump hermione_change
                    else:
                        jump hermione_change_fail
                "-Custom Input-":
                    $ temp_name = renpy.input("(Please enter the name.)", hermione_name, ALLOWED_CHARACTERS, length=14)
                    $ temp_name = temp_name.strip()
                    if temp_name == "":
                        jump hermione_talk
                    if her_whoring >=21:
                        $ hermione_name = temp_name
                        jump hermione_change
                    else:
                        jump hermione_change_fail
                "-Never mind-":
                    jump hermione_talk

        "-Give her the ball dress-" if ball_quest.E4_complete and ball_outfit_ITEM.owned > 0 and not ball_quest.gave_dress:
            jump ball_quest_E5

        "-Start the autumn ball-" if ball_quest.gave_dress and not ball_quest.started:
            jump ball_ending_start

        "-Never mind-":
            jump hermione_requests


label genie_change:
    her "Okay, from now on I'll call you [genie_name]." ("base", "base", "base", "mid")
    jump hermione_talk

label genie_change_fail:
    her "I'm not calling you that!" ("scream", "closed", "angry", "mid")
    jump hermione_talk

label hermione_change:
    if temp_name == "Miss Granger":
        if her_whoring <=0:
            her "Sure, [genie_name]." ("base", "base", "base", "mid")
        else:
            her "You don't have to be so formal, [genie_name], you know?" ("base", "closed", "base", "mid")
            her "" ("base", "base", "base", "mid")
    elif temp_name == "Hermione":
        her "Of course [genie_name]." ("base", "base", "base", "mid")
    elif temp_name == "Girl":
        if her_whoring >=1 and her_whoring < 3:
            her "This girl thing again?" ("annoyed", "happy", "base", "mid")
            her "*sigh*..." ("soft", "happy", "base", "R")
        elif her_whoring >=3:
            her "Fine... I don't mind." ("soft", "base", "base", "R")
    elif temp_name == "Nerd":
        if her_whoring >=3 and her_whoring < 5:
            her "*sigh* I just enjoy books, that's all." ("annoyed", "narrow", "worried", "down")
            gen "I'm sure you'll find other things to enjoy soon enough..." ("base", xpos="far_left", ypos="head")
            her "Like what exactly?" ("normal", "narrow", "base", "mid_soft")
            gen "Nothing to worry about, things will work out..." ("base", xpos="far_left", ypos="head")
            gen "Nerd..." ("grin", xpos="far_left", ypos="head")
            her "*tsk* ..." ("soft", "narrow", "base", "R_soft")
            her "" ("normal", "narrow", "base", "R_soft")
        elif her_whoring >= 5 and her_whoring < 19:
            her "I can be a bit nerdy sometimes I suppose.." ("angry", "happyCl", "base", "mid", emote="sweat")
            her "" ("base", "base", "base", "mid")
        elif her_whoring >= 19:
            her "I don't read as much as I used to anymore." ("grin", "narrow", "base", "R_soft", emote="sweat")
            her "" ("base", "narrow", "base", "mid_soft")
    elif temp_name == "Hottie":
        if her_whoring >=5 and her_whoring < 7:
            her "[genie_name]?!" ("angry", "wide", "angry", "mid", cheeks="blush")
            gen "What? That's true, you're hot." ("base", xpos="far_left", ypos="head")
            her "That's inappropriate." ("annoyed", "base", "worried", "R", cheeks="blush")
            her "But I'll let it slide, I guess."
        elif her_whoring >=7 and her_whoring < 19:
            her "Thank you, [genie_name]." ("soft", "wink", "base", "mid")
            her "" ("normal", "base", "base", "mid")
        elif her_whoring >=19:
            her "... Glad you think so." ("smile", "wink", "base", "mid", cheeks="blush")
            her "" ("base","happy", "base", "mid", cheeks="blush")
    elif temp_name == "Good Girl":
        if her_whoring >=5 and her_whoring < 7:
            her "Well, I do try my best, [genie_name]." ("base", "closed", "base", "mid")
            her "" ("base", "base", "base", "mid")
        elif her_whoring >=7 and her_whoring < 19:
            her "I'm not sure if I'd qualify, but fine." ("annoyed", "wink", "base", "mid")
            her "" ("normal", "base", "base", "mid")
        elif her_whoring >=19:
            her "I could act like a good girl if you really want me to..." ("smile", "wink", "base", "mid", cheeks="blush")
            her "" ("base","happy", "base", "mid", cheeks="blush")
    elif temp_name == "Angel":
        if her_whoring >=7 and her_whoring < 9:
            her "What's going on with these silly nicknames of yours all of a sudden?" ("normal", "squint", "angry", "mid")
            gen "What do you mean by silly?" ("base", xpos="far_left", ypos="head")
            her "Ugh, forget I said anything..." ("open", "narrow", "base", "down",cheeks="blush")
            her "" ("normal", "base", "base", "R", cheeks="blush")
        elif her_whoring >=9 and her_whoring < 19:
            her "I like it..." ("soft", "narrow", "base", "R_soft",cheeks="blush")
            her "" ("base", "narrow", "base", "R_soft",cheeks="blush")
        elif her_whoring >= 19:
            her "I'm surprised I didn't grow wings yet." ("base", "narrow", "worried", "mid_soft",cheeks="blush")
    elif temp_name == "Little Girl":
        if her_whoring >=7 and her_whoring < 9:
            her "What's going on with these silly nicknames of yours all of a sudden?" ("normal", "squint", "angry", "mid")
            gen "What do you mean by silly?" ("base", xpos="far_left", ypos="head")
            her "It makes it sound as if I'm your..." ("soft", "base", "worried", "R")
            her "Ugh, forget I said anything..." ("open", "narrow", "base", "down",cheeks="blush")
            her "" ("normal", "base", "base", "R", cheeks="blush")
        elif her_whoring >=9 and her_whoring < 19:
            her "Bit of an odd request but..." ("normal", "narrow", "base", "down")
            her "I like it..." ("soft", "narrow", "base", "R_soft",cheeks="blush")
            her "" ("base", "narrow", "base", "R_soft",cheeks="blush")
        elif her_whoring >= 19:
            her "Yes, [genie_name]." ("base", "narrow", "worried", "mid_soft",cheeks="blush")
    elif temp_name == "Bad Girl":
        if her_whoring >=9 and her_whoring < 11:
            her "I guess I am a bit." ("soft", "narrow", "worried", "down")
            her "I did fail that test after all..." ("disgust", "narrow", "base", "down")
            her "" ("normal", "narrow", "worried", "mid_soft")
            her "" ("normal", "base", "base", "mid")
        elif her_whoring >=11 and her_whoring < 17:
            her "I may be a little bit naughty at times." ("base", "happy", "base", "R",cheeks="blush")
        elif her_whoring >=17:
            her "I may be a little bit naughty at times." ("base", "happy", "base", "R",cheeks="blush")
            her "" ("base", "base", "base", "mid", cheeks="blush")
    elif temp_name == "Minx":
        if her_whoring >=9 and her_whoring < 11:
            her "I guess I am a bit." ("soft", "narrow", "worried", "down")
            her "" ("normal", "narrow", "worried", "mid_soft")
        elif her_whoring >=11 and her_whoring < 17:
            her "I may be a little bit naughty at times." ("base", "happy", "base", "R",cheeks="blush")
        elif her_whoring >=17:
            her "I may be a little bit naughty at times." ("base", "happy", "base", "R",cheeks="blush")
            her "" ("base", "base", "base", "mid", cheeks="blush")
    elif temp_name == "Princess":
        if her_whoring >= 11 and her_whoring < 13:
            her "That would make you my prince wouldn't it?" ("open", "base", "base", "R",cheeks="blush")
            her "" ("base", "base", "base", "mid", cheeks="blush")
        elif her_whoring >= 13:
            her "Yes... My prince." ("smile","happy", "base", "mid")
            gen "..." ("base", xpos="far_left", ypos="head")
            her "I-I mean, [genie_name]." ("smile", "happyCl", "base", "mid", emote="sweat")
            her "" ("base", "base", "base", "mid")
    elif temp_name == "Pet":
        if her_whoring >= 11 and her_whoring < 13:
            her "You want to call me....{w=0.5} a pet?" ("normal", "squint", "angry", "mid")
            gen "Yes." ("base", xpos="far_left", ypos="head")
            her ".... {w=0.5}.... {w=0.5}.... {w=0.5}...." ("normal", "happy", "base", "mid")
            her "" ("normal", "squint", "base", "mid")
            gen ".... {w=0.5}.... {w=0.5}...." ("base", xpos="far_left", ypos="head")
            her "May I at least know why?" ("open", "squint", "base", "mid")
            gen "No." ("base", xpos="far_left", ypos="head")
            her "...." ("annoyed", "base", "worried", "mid")
        elif her_whoring >= 13:
            her "*Meow*" ("smile","happyCl", "base", "mid")
            her "" ("smile","happy", "base", "mid")
            gen "Don't do that..." ("base", xpos="far_left", ypos="head")
            her "Such a party pooper." ("annoyed","happyCl", "base", "mid")
            her "" ("base", "base", "base", "mid")
    elif temp_name == "Bitch":
        if her_whoring >=13 and her_whoring < 15:
            her "Isn't this a bit inappropriate [genie_name]?" ("mad", "narrow", "worried", "down")
            gen "And doing favours for house points isn't?" ("base", xpos="far_left", ypos="head")
            her "Fine..." ("base", "narrow", "base", "down", cheeks="blush")
        elif her_whoring >= 15 and her_whoring < 17:
            her "..." ("normal", "narrow", "worried", "down", cheeks="blush")
            gen "Any objections?" ("base", xpos="far_left", ypos="head")
            her "..." ("soft", "base", "worried", "R",cheeks="blush")
            gen "Okay then..." ("grin", xpos="far_left", ypos="head")
        elif her_whoring >= 17:
            her "Alright." ("base", "happyCl", "base", "mid",cheeks="blush")
            her "" ("base","happy", "base", "mid", cheeks="blush")
    elif temp_name == "Slut":
        if her_whoring >=15 and her_whoring < 17:
            her "[genie_name]?!" ("shock", "wide", "worried", "stare")
            her "You can't just call someone that!" ("mad", "wide", "base", "stare")
            gen "It'll just be between us..." ("base", xpos="far_left", ypos="head")
            her "..." ("disgust", "squint", "base", "mid")
            gen "Nothing to add?" ("base", xpos="far_left", ypos="head")
            her "" ("clench", "closed", "base", "mid", emote="angry")
            gen "So you'll let me call you that or not?" ("base", xpos="far_left", ypos="head")
            her "{size=+5}FINE!{/size}" ("clench", "closed", "angry", "mid", emote="angry")
            gen "..." ("base", xpos="far_left", ypos="head")
            her "" ("normal", "narrow", "angry", "R")
        elif her_whoring >= 17:
            her "I guess if you have to call me that sure..." ("base", "narrow", "base", "down",cheeks="blush")
        elif her_whoring >= 19:
            her "I don't mind..." ("smile", "happyCl", "base", "mid",cheeks="blush")
    elif temp_name == "Cumslut":
        if her_whoring >= 17 and her_whoring < 19:
            her "A cumslut?!" ("open", "wide", "worried", "stare")
            gen "Something wrong?" ("base", xpos="far_left", ypos="head")
            her "You have to even ask?" ("soft", "narrow", "worried", "down", cheeks="blush")
            her "This is so degrading..." ("normal", "narrow", "base", "down",cheeks="blush")
            her "(But I kinda am a slut begging for cum aren't I...)" ("base", "happyCl", "base", "mid",cheeks="blush")
        elif her_whoring >= 19:
            her "..." ("soft", "narrow", "base", "up")
            her "(When did I start enjoying it so much...)" ("open", "narrow", "base", "up",cheeks="blush")
            her "(That taste, the texture...)" ("open", "narrow", "annoyed", "up",cheeks="blush")
            her "(So warm, sticky, and--)" ("silly", "narrow", "base", "up",cheeks="blush")
            gen "Are you okay there, [temp_name]?" ("base", xpos="far_left", ypos="head")
            her "Wha--" ("mad", "wide", "base", "stare")
            her "Of course I am!" ("smile", "base", "base", "R",cheeks="blush")
    elif temp_name == "Slytherin Whore":
        if her_whoring >=19 and her_whoring < 21:
            her "Do you really have to call me that, [genie_name]?" ("disgust", "base", "worried", "mid")
            her "Referring to me as a bitch or a slut for your own amusement is one thing..." ("mad", "narrow", "worried", "down",cheeks="blush")
            her "You're aware of how much I loathe Slytherin." ("open", "narrow", "worried", "mid_soft")
            her "And I'm definitely not a whore..." ("soft", "closed", "base", "mid")
            her "I refuse!"
            menu:
                "-Say it's fine-":
                    gen "Fine, I won't call you that..." ("base", xpos="far_left", ypos="head")
                    her "You won't?" ("open", "base", "base", "mid")
                    her "" ("soft", "base", "base", "mid")
                    gen "Of course..." ("base", xpos="far_left", ypos="head")
                    her "I am glad we're on the same page on this one, [genie_name]." ("open", "closed", "base", "mid")
                    her "" ("base", "closed", "base", "mid")
                    gen "In fact, from this point forward you don't have to call me [genie_name] or exchange any favours..." ("base", xpos="far_left", ypos="head")
                    her "" ("soft", "base", "base", "mid", emote="confused")
                    gen "Let's just void this whole... deal of yours shall we." ("base", xpos="far_left", ypos="head")
                    her "B-but, [genie_name]?!" ("mad", "wide", "base", "mid", emote="shocked")
                    her "" ("mad", "wide", "base", "mid")
                    gen "I must apologise {b}Miss Granger{/b}, I thought we had come to some kind of agreeable arrangement by now..." ("base", xpos="far_left", ypos="head")
                    her "But I--" ("mad", "wide", "worried", "stare")
                    gen "I should have known better to believe that this sort of thing would work out..." ("base", xpos="far_left", ypos="head")
                    her "Maybe I coul--" ("clench","happyCl", "worried", "stare")
                    gen "I thought we both had what we wanted..." ("base", xpos="far_left", ypos="head")
                    her "Liste--" ("soft", "narrow", "worried", "down")
                    her "" ("normal", "closed", "angry", "mid")
                    gen "Might as well hand in my resignation with the ministry and--" ("base", xpos="far_left", ypos="head")
                    with hpunch
                    her "{size=+10}I AM A SLYTHERIN WHORE!!!{/size}" ("scream", "closed", "angry", "mid",cheeks="blush")
                    her "" ("normal", "closed", "base", "mid")
                    gen "..." ("base", xpos="far_left", ypos="head")
                    her "Now please, [genie_name]... Let's just forget this conversation ever happened." ("disgust", "base", "worried", "mid")
                    gen "Are you sure that's what you want, [temp_name]?" ("base", xpos="far_left", ypos="head")
                    her "... Yes." ("disgust", "narrow", "worried", "down", emote="sweat")
                    gen "(This girl really is beyond redemption...)" ("base", xpos="far_left", ypos="head")
                    her "" ("base", "narrow", "worried", "down")
                "-Threaten her-":
                    gen "Either accept my offer or Gryffindor lose five hundred points..." ("angry", xpos="far_left", ypos="head")
                    with hpunch
                    her "FIVE HUNDRED?!" ("shock", "wide", "base", "stare")
                    her "[genie_name]... This is blackmailing!" ("scream", "closed", "angry", "mid")
                    her "" ("mad", "closed", "angry", "mid")
                    gen "It is?" ("base", xpos="far_left", ypos="head")
                    her "What else would it be?" ("mad", "base", "angry", "mid",cheeks="blush")
                    gen "Negotiations..." ("grin", xpos="far_left", ypos="head")
                    her "You..." ("clench", "closed", "angry", "mid",cheeks="blush")
                    gen "That's not an answer..." ("base", xpos="far_left", ypos="head")
                    her "{size=-10}Okay..{/size}" ("soft", "narrow", "angry", "R",cheeks="blush")
                    gen "What was that? I didn't hear you." ("base", xpos="far_left", ypos="head")
                    her "I said yes, you can call me a Slytherin whore... or whatever." ("normal", "narrow", "annoyed", "mid", cheeks="blush")
                    her "Happy now?!" ("open", "closed", "angry", "mid", cheeks="blush")
                    gen "Very." ("grin", xpos="far_left", ypos="head")
                    her "{size=-6}You are the worst.{/size}" ("normal", "narrow", "base", "R_soft", cheeks="blush")
                    $ her_mood += 15
        elif her_whoring >= 21:
            her "Please, [genie_name], couldn't you call me something else instead?" ("open", "base", "worried", "mid")
            gen "But where's fun in that?" ("base", xpos="far_left", ypos="head")
            her "Why do I even bother... *sigh*" ("soft", "narrow", "base", "R_soft",cheeks="blush")
    elif temp_name == "Mudblood":
        if her_whoring >= 21:
            her "A{w=0.5}...{w=0.5} {size=+6}{b}{cps=20}mud{w=0.5}blood{/cps}{/b}?!{/size}" ("shock", "wide", "base", "stare")
            her "Did I hear you right, [genie_name]?!" ("normal", "wide", "base", "mid")
            menu:
                "-Confirm-":
                    pass
                "-!!!{b}ABORT ABORT ABORT{/b}!!!-{#LINT_IGNORE}":
                    gen "What? Of course not!" ("angry", xpos="far_left", ypos="head")
                    gen "I said.." ("base", xpos="far_left", ypos="head")
                    gen "(I have to think fast)" ("angry", xpos="far_left", ypos="head")
                    menu:
                        "-Mass flood-":
                            gen "I said mass flood!" ("angry", xpos="far_left", ypos="head")
                            her "Mass flood?" ("soft", "base", "base", "mid")
                            gen "Are you deaf or something?" ("base", xpos="far_left", ypos="head")
                            if game.weather == "rain":
                                her "I was pretty sure you said--" ("open", "base", "base", "mid")
                                her "" ("normal", "base", "base", "R")
                                gen "Look outside the window, it's raining is it not?" ("base", xpos="far_left", ypos="head")
                                her "I{w=0.5}...{w=0.5} Yes, you are right [genie_name]." ("normal", "closed", "base", "mid")
                                gen "Of course I am." ("base", xpos="far_left", ypos="head")
                                her "So what did you want to talk about?" ("base", "base", "base", "mid")
                            else:
                                her "[genie_name], but it's not raining.." ("normal", "closed", "base", "mid")
                                her "" ("disgust", "narrow", "base", "down", cheeks="blush")
                                gen "Last time I had my dick in you it felt like a mass flood." ("grin", xpos="far_left", ypos="head")
                                her "[genie_name]..." ("disgust", "closed", "base", "mid", cheeks="blush")
                                gen "What? It's true, I swear!" ("grin", xpos="far_left", ypos="head")
                                her "..." ("soft", "narrow", "worried", "down", cheeks="blush")
                        "-Mad stud-":
                            gen "I said mad stud!" ("angry", xpos="far_left", ypos="head")
                            her "Mad stud?" ("soft", "base", "base", "mid")
                            gen "My dick, your ass, bud." ("grin", xpos="far_left", ypos="head")
                            her "really..." ("disgust", "narrow", "base", "mid_soft", cheeks="blush")
                            her "You can be so childish sometimes, [genie_name]..." ("annoyed", "narrow", "base", "R_soft", cheeks="blush")
                        #"-Leaf bud-":
                        #    jump hermione_talk
                    jump hermione_talk
            her "Why would you even suggest calling me such a thing.." ("scream", "squint", "angry", "mid")
            her "It's like the most offensive thing you could call someone like..." ("shock", "squint", "angry", "mid", tears="soft")
            her "like..." ("open", "happyCl", "worried", "mid", tears="soft_blink")
            her "Someone like..." ("open", "narrow", "worried", "down", tears="mascara_crying")
            her "me..." ("disgust", "narrow", "worried", "down", tears="mascara_soft")
            her "" ("disgust", "happyCl", "worried", "mid", tears="mascara")
            menu:
                "-Try to calm her down-":
                    her "" ("disgust", "narrow", "worried", "mid_soft", tears="mascara")
                    gen "Now, now, there's no need to cry." ("base", xpos="far_left", ypos="head")
                    gen "Do you know why I call you these things miss Granger?" ("base", xpos="far_left", ypos="head")
                    her "... no?" ("disgust", "narrow", "worried", "mid_soft", tears="mascara")
                    gen "It's so that you'll come to know that words are just words and they only hurt if you let them." ("base", xpos="far_left", ypos="head")
                    her "..." ("normal", "narrow", "worried", "mid_soft", tears="mascara")
                    gen "Once you truly understand that nothing will hold you back." ("base", xpos="far_left", ypos="head")
                    gen "And you'll be at your utmost potential." ("grin", xpos="far_left", ypos="head")
                    her "You really think so?" ("open", "narrow", "worried", "mid_soft", tears="mascara")
                    her "" ("normal", "narrow", "worried", "mid_soft", tears="mascara")
                    gen "Yes, in fact I do." ("base", xpos="far_left", ypos="head")
                    her "Thank you, [genie_name]." ("normal", "closed", "base", "mid", tears="mascara")
                    her "I can do it, I know I can." ("base", "narrow", "worried", "mid_soft", tears="mascara")
                    $ her_mood = 0
                "-Tell her she deserves it-":
                    gen "You deserve to be called a slut, a whore and a mudblood... just look at you." ("angry", xpos="far_left", ypos="head")
                    her "..." ("scream", "happyCl", "worried", "mid", tears="mascara_soft_blink")
                    her "" ("disgust", "happyCl", "worried", "mid", tears="mascara_soft")
                    gen "You walk into my office and sell your body for the sole reason that it will make Gryffindor happy to win the house cup." ("angry", xpos="far_left", ypos="head")
                    her "..." ("open", "happyCl", "worried", "mid", tears="mascara_soft_blink")
                    her "" ("disgust", "happyCl", "worried", "mid", tears="mascara_soft")
                    gen "Bending over onto my desk and let yourself be taken like a some common harlot..." ("angry", xpos="far_left", ypos="head")
                    her "I..." ("disgust", "narrow", "worried", "mid_soft", tears="mascara_soft")
                    gen "Letting your headmaster thrust himself upon you and taking my load like your life depended on it..." ("angry", xpos="far_left", ypos="head")
                    her "..." ("normal", "happyCl", "worried", "mid", tears="mascara_soft")
                    her "" ("normal", "narrow", "worried", "mid_soft", tears="mascara")
                    gen "I bet you don't even care about the points anymore..." ("base", xpos="far_left", ypos="head")
                    her "Well..." ("normal", "narrow", "worried", "down", tears="mascara")
                    her "" ("normal", "narrow", "annoyed", "up", tears="mascara")
                    gen "You are nothing more than a whore..." ("base", xpos="far_left", ypos="head")
                    her "" ("base", "narrow", "annoyed", "up", tears="mascara")
                    gen "{size=+4}{b}MY{/b}{/size} whore!" ("grin", xpos="far_left", ypos="head")
                    her "" ("base", "narrow", "base", "up", tears="mascara")
                    gen "And I {b}will{/b} call you however I want!" ("base", xpos="far_left", ypos="head")
                    her "Yes, [genie_name], I understand." ("silly", "narrow", "base", "up", tears="mascara")
                    her "I am your toy{w=0.6}, your fuckslut{w=0.6}, your cocksleeve, your--" ("grin", "narrow", "base", "dead", tears="mascara")
                    gen "Yes, that you are but it's enough..." ("base", xpos="far_left", ypos="head")
                    her "I fully belong to you... [genie_name]." ("silly", "narrow", "base", "dead", tears="mascara")
                    her "" ("grin", "narrow", "base", "dead", tears="mascara")
                    $ her_mood = 0
    else: #Custom/fallback
        her "Bit odd but sure, you can call me that..." ("soft", "squint", "base", "mid")

    $ hermione_name = temp_name
    jump hermione_talk

label hermione_change_fail:
    if temp_name == "Girl":
        her "I would prefer if we kept using our formal names and titles, [genie_name]." ("open", "closed", "base", "mid")
        her "" ("normal", "base", "base", "mid")
    elif temp_name == "Nerd":
        her "I would prefer if you didn't, [genie_name]." ("open", "closed", "angry", "mid")
        her "{size=-4}And I'm not a nerd...{/size}" ("annoyed", "base", "worried", "mid")
        if her_whoring >= 1:
            her "(I think...)" ("annoyed", "base", "worried", "R")
    elif temp_name == "Good Girl":
        her "I'm not letting you call me that, [genie_name]!" ("open", "closed", "angry", "mid")
        if her_whoring >= 3:
            her "(Although it's kinda cute he said that...)" ("base", "base", "base", "R")
    elif temp_name == "Little Girl":
        her "I won't let you call me that, [genie_name]!" ("open", "closed", "angry", "mid")
        if her_whoring >= 5:
            her "(I hope they'd grow out more...)" ("disgust", "narrow", "worried", "down")
            her "*sigh*" ("annoyed", "closed", "base", "mid")
            her "" ("normal", "base", "base", "R")
    elif temp_name == "Bad Girl":
        her "I am not a [temp_name]!" ("open", "base", "angry", "mid")
        if her_whoring >= 7:
            her "(Or am I...?)" ("disgust", "base", "base", "R")
            her "" ("normal", "base", "base", "R")
    elif temp_name == "Princess":
        her "This is inappropriate, [genie_name]!" ("open", "base", "angry", "mid")
        if her_whoring >= 9:
            her "(It sounds nice though...)" ("base", "base", "base", "R")
    elif temp_name == "Pet":
        her "Are you joking, [genie_name]?" ("open", "base", "worried", "mid")
        if her_whoring >= 11:
            her "(Why would he even suggest that?)" ("annoyed", "base", "base", "R")
    else:
        her "I won't let you call me that!" ("shock", "closed", "angry", "mid")
        her "" ("normal", "base", "angry", "mid")
    jump hermione_talk
